class TweetsController < ApplicationController
  def index
  	@tweets = Tweet.filter(params[:q]).paginate(:page => params[:page], :per_page => 3)
  	@new_tweet = Tweet.new
    @user = current_user 
  end

  def create
  	@tweet = Tweet.new(tweet_params)
  	@tweet.user = current_user
    
    flash[:error] = @tweet.errors.full_messages.join('\n') if !@tweet.save

  	redirect_to '/'
  end

  def new
  end

  def delete
    @tweet = Tweet.find(params[:id])
    if @tweet.user == current_user
      flash[:success] = "Tweet with body: \"#{@tweet.body}\" destroyed!"
      @tweet.destroy 
    else
      flash[:error] = "That's not yours to delete!"
    end
    redirect_to '/'
  end

  private

  	def tweet_params
  		params.require(:tweet).permit(:body)
  	end
end
