class UsersController < ApplicationController
  def create
    # create is new and save
    @user = User.new(user_params)
    if @user.save
      flash[:success] = "#{@user.handle} successfully created!"
      redirect_to '/'
    else
      flash[:error] = @user.errors.full_messages.join('\n')
      render 'new'
    end
  end

  def new
    @user = User.new
  end

  def update
    @user = current_user
    if @user.update_attributes(user_params)
      flash[:success]= "Succesfully updated #{@user.handle}'s profile!' "
      redirect_to '/profile'
    else 
      flash[:error] = @user.errors.full_messages.join("\n")
      render 'edit'
    end 
    
  end

  def profile
    @user = current_user
  end

  def edit 
    @user = current_user
  end

  def delete
    @user = current_user
    if @user.destroy
      flash[:success]= "Succesfully destroyed #{@user.handle}'s profile!"
    else 
      flash[:error] = @user.errors.full_messages.join("\n")
    end
    redirect_to '/' 
  end

  private 

    def user_params 
      params.require(:user).permit(:handle, :bio, :email, :avatar, :password, :password_confirmation)
    end
end

